Bug 998783 - CVE-2013-4238 python26: python: hostname check bypassing vulnerability in SSL module [epel-5]
CVE-2013-4238 python26: python: hostname check bypassing vulnerability in SSL...
Status: CLOSED EOL
Product: Fedora EPEL
Classification: Fedora
Component: python26 (Show other bugs)
el5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adrien Devresse
Fedora Extras Quality Assurance
fst_owner=kumarpraveen
: Security, SecurityTracking
Depends On:
Blocks: CVE-2013-4238
  Show dependency treegraph
 
Reported: 2013-08-20 00:46 EDT by Huzaifa S. Sidhpurwala
Modified: 2017-04-06 06:10 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-04-06 06:10:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Huzaifa S. Sidhpurwala 2013-08-20 00:46:22 EDT
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora EPEL.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please use the bodhi submission link
noted in the next comment(s).  This will include the bug IDs of this
tracking bug as well as the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
Bodhi notes field when available.

epel-5 tracking bug for python26: see blocks bug list for full details of the security issue(s).

[bug automatically created by: add-tracking-bugs]
Comment 1 Huzaifa S. Sidhpurwala 2013-08-20 00:46:36 EDT
Please use the following update submission link to create the Bodhi
request for this issue as it contains the top-level parent bug(s) as well
as this tracking bug.  This will ensure that all associated bugs get
updated when new packages are pushed to stable.

Please also ensure that the "Close bugs when update is stable" option
remains checked.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=996381,998783
Comment 2 Praveen Kumar 2014-11-01 06:48:36 EDT
As per http://bugs.python.org/issue18709 issue is already fixed and contain patchset for each python release. Can you please apply to this patch and check if it working as expected?
Comment 3 Huzaifa S. Sidhpurwala 2016-05-23 06:36:59 EDT
(In reply to Praveen Kumar from comment #2)
> As per http://bugs.python.org/issue18709 issue is already fixed and contain
> patchset for each python release. Can you please apply to this patch and
> check if it working as expected?

Praveen, i dont own the pkg. removing needinfo from me.
Comment 4 Fedora End Of Life 2017-04-06 06:10:45 EDT
Fedora EPEL 5 changed to end-of-life (EOL) status on 2017-03-31. Fedora EPEL 5
is no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of Fedora
or Fedora EPEL, please feel free to reopen this bug against that version. If
you are unable to reopen this bug, please file a new report against the current
release. If you experience problems, please add a comment to this bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.